ChangeSet 1.1372.2.7, 2003/07/09 20:52:35-07:00, david-b@pacbell.net

[PATCH] USB: usbnet, don't NET_XMIT_DROP

Martin Diehl pointed out that the network layer treats
a tx drop notification in special ways, so "usbnet"
shouldn't be using them.  This fixes that problem,
which could potentially explain some infrequent oopsing
seen in the network layer.  (With memory so tight that
an URB can't be gotten.)

Please merge.


 drivers/usb/net/usbnet.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Thu Jul 10 16:01:26 2003
+++ b/drivers/usb/net/usbnet.c	Thu Jul 10 16:01:26 2003
@@ -2391,7 +2391,7 @@
 	if (retval) {
 		devdbg (dev, "drop, code %d", retval);
 drop:
-		retval = NET_XMIT_DROP;
+		retval = NET_XMIT_SUCCESS;
 		dev->stats.tx_dropped++;
 		if (skb)
 			dev_kfree_skb_any (skb);
